Infrastructure - Story #7882

Tune CN logfile management
2016-09-09 20:13 - Dave Vieglais

Status: In Progress Start date: 2016-09-09
Priority: Normal Due date:

Assignee: Dave Vieglais % Done: 30%
Category: Estimated time: 0.00 hour
Target version: CCl-2.4.0

Story Points:

Description
There are many log files generated on the Coordinating Nodes which can make diagnostics challenging. Some logs also appear to
be misconfigured or set to log at DEBUG level even on production systems, resulting in extremely verbose logs.

The goal of this activity is to streamline logging to make it easier to find useful information in the logs by reducing verbosity,
consolidating where possible, and perhaps refining some log messages.

Subtasks:
Task # 7883: Document the log files of relevance on Coordinating Nodes New
Task # 7884: CN portal log is misconfigured New

Associated revisions

Revision 19053 - 2017-12-19 20:13 - Rob Nahf

refs: #7882 removed stackirace from certificateManager initialization warning, since it is a common occurence and the stacktrace is confusing in the
logs.

Revision 19053 - 2017-12-19 20:13 - Rob Nahf

refs: #7882 removed stackirace from certificateManager initialization warning, since it is a common occurence and the stacktrace is confusing in the
logs.

History

#1 - 2018-01-17 19:02 - Dave Vieglais

- Assignee changed from Rob Nahf to Dave Vieglais

#2 - 2018-01-17 19:02 - Dave Vieglais

- Sprint set to Infrastructure backlog
#3 - 2018-01-17 19:03 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress
